"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DART_SCALAR_MAP = exports.METADATA_SCALAR_MAP = exports.TYPESCRIPT_SCALAR_MAP = exports.SWIFT_SCALAR_MAP = exports.JAVA_TYPE_IMPORT_MAP = exports.JAVA_SCALAR_MAP = void 0;
exports.JAVA_SCALAR_MAP = {
    ID: 'String',
    String: 'String',
    Int: 'Integer',
    Float: 'Double',
    Boolean: 'Boolean',
    AWSDate: 'Temporal.Date',
    AWSDateTime: 'Temporal.DateTime',
    AWSTime: 'Temporal.Time',
    AWSTimestamp: 'Temporal.Timestamp',
    AWSEmail: 'String',
    AWSJSON: 'String',
    AWSURL: 'String',
    AWSPhone: 'String',
    AWSIPAddress: 'String',
};
exports.JAVA_TYPE_IMPORT_MAP = {
    'Temporal.DateTime': 'com.amplifyframework.core.model.temporal.Temporal',
    'Temporal.Date': 'com.amplifyframework.core.model.temporal.Temporal',
    'Temporal.Time': 'com.amplifyframework.core.model.temporal.Temporal',
    'Temporal.Timestamp': 'com.amplifyframework.core.model.temporal.Temporal',
};
exports.SWIFT_SCALAR_MAP = {
    ID: 'String',
    String: 'String',
    Int: 'Int',
    Float: 'Double',
    Boolean: 'Bool',
    AWSDate: 'Temporal.Date',
    AWSTime: 'Temporal.Time',
    AWSDateTime: 'Temporal.DateTime',
    AWSTimestamp: 'Int',
    AWSEmail: 'String',
    AWSJSON: 'String',
    AWSURL: 'String',
    AWSPhone: 'String',
    AWSIPAddress: 'String',
};
exports.TYPESCRIPT_SCALAR_MAP = {
    ID: 'string',
    String: 'string',
    Int: 'number',
    Float: 'number',
    Boolean: 'boolean',
    AWSDate: 'string',
    AWSDateTime: 'string',
    AWSTime: 'string',
    AWSTimestamp: 'number',
    AWSEmail: 'string',
    AWSJSON: 'string',
    AWSURL: 'string',
    AWSPhone: 'string',
    AWSIPAddress: 'string',
};
exports.METADATA_SCALAR_MAP = {
    ID: 'ID',
    Boolean: 'Boolean',
    String: 'String',
    AWSDate: 'AWSDate',
    AWSTime: 'AWSTime',
    AWSDateTime: 'AWSDateTime',
    AWSEmail: 'AWSEmail',
    AWSJSON: 'AWSJSON',
    AWSURL: 'AWSURL',
    AWSPhone: 'AWSPhone',
    AWSIPAddress: 'AWSIPAddress',
    Int: 'Int',
    Float: 'Float',
    AWSTimestamp: 'AWSTimestamp',
};
exports.DART_SCALAR_MAP = {
    ID: 'String',
    String: 'String',
    Int: 'int',
    Float: 'double',
    Boolean: 'bool',
    AWSDate: 'Date',
    AWSDateTime: 'DateTime',
    AWSTime: 'Time',
    AWSTimestamp: 'int',
    AWSEmail: 'String',
    AWSJSON: 'String',
    AWSURL: 'String',
    AWSPhone: 'String',
    AWSIPAddress: 'String',
};
//# sourceMappingURL=index.js.map